Skip to main content
Astra Automation
本产品推出了新版本。
简体中文版经机器翻译而成,仅供参考。如与英语版出现任何冲突,应以英语版为准。

检索升级

GET /accounts/{account_id}/core/v1/upgrades/{upgrade_id}

返回 JSON 响应正文中存储的 Upgrade API 资源。

参数

名称 Type Required Description

account_id

string

path

True

包含帐户资源的 ID

  • 示例:{{.Account}}

upgrade_id

string

path

True

要列出的升级集合的 ID

响应

Status: 200, Returns the stored Upgrade API resource in the JSON response body.
名称 Type Required Description

type

string

True

资源的媒体类型。定义的值为:

  • "application/astra-upgrade"

version

string

True

资源的版本。定义的值为:

  • "1.0"

  • "1.1"

id

string

True

资源的全局唯一标识符。定义的值为:

  • 符合 UUIDv4 架构

componentName

string

True

包含可以升级的软件类型名称的 JSON 字符串。定义的值为:

  • "acc"

  • "acs"

  • “trident”

  • “kubernetes”

componentInstance

string

True

包含可升级的组件 URI 的 JSON 字符串。定义的值为:

  • 最小长度:3

  • 最大长度:4095

组件 ID

string

True

包含可升级的组件的全局唯一标识符的 JSON 字符串。定义的值为:

  • 符合 Astra 标识符架构

upgradeVersion

string

True

包含可升级到的软件映像文件的 SemVer 的 JSON 字符串。定义的值为:

  • 符合 SemVer 架构

currentVersion

string

True

包含要升级的实体当前 SemVer 的 JSON 字符串。定义的值为:

  • 符合 SemVer 架构

依赖项

数组[string]

True

JSON 字符串的 JSON 数组,每个字符串都包含在此升级继续之前必须完成的升级的 UUID。用于确定哪些升级将作为先决条件执行以及执行顺序。定义的值为:

  • 符合 Astra 标识符架构

状态

string

True

包含指示升级操作状态的值的 JSON 字符串。如果启用自动升级,升级将以"scheduled"状态启动。否则,升级将从"proposed"状态开始。定义的值为:

  • "unavailable" - 升级目前不可用

  • "proposed" - 已提议升级,但在获得批准之前不会自动运行

  • "scheduled" - 升级已获批准,但由于依赖关系、时间窗口或可用资源,尚未准备好安装

  • "running" - 正在进行升级

  • "complete" - 升级已完成

  • "failed" - 升级未完成

stateDesired

string

True

包含指示"state"所需状态的值的 JSON 字符串。仅当用户可以直接请求更改资源的状态时,才会包含此字段。定义的值为:

  • "proposed" - 升级未获批准,不得执行

  • "scheduled" - 升级已获批准,必须在指定时间段内执行

  • "running" - 无论时间窗口如何,必须立即执行升级

stateDetails

数组["type_astra_stateDetail"]

True

列出有关当前"状态"的其他详细信息的 JSON 对象的 JSON 数组。如果没有可用的详细信息,此数组将为空。

  • 最小项目数:0

元数据

"type_astra_metadata_update"

True

与资源关联的客户端和服务指定的元数据。定义的值为:

  • 符合 Astra 元数据架构如果在更新时未指定,则元数据对象的标签、creationTimestamp 和 createdBy 将不加修改地保留。

响应示例
{
  "type": "application/astra-upgrade",
  "version": "1.1",
  "id": "aa9a8e88-c012-55b1-b514-7cd94dc79008",
  "componentName": "trident",
  "componentInstance": "https://<dns_name>/accounts/0b311ae7-d89a-4a11-a52c-1349ca090415/topology/v1/clouds/fdda3ff3-a46a-43a4-902e-444fde2baeba/storageBackends/72d19c3c-eb43-4bec-b23e-a228c900aded",
  "componentID": "72d19c3c-eb43-4bec-b23e-a228c900aded",
  "upgradeVersion": "21.07.1",
  "currentVersion": "21.04.1",
  "dependencies": [],
  "state": "scheduled",
  "stateDesired": "scheduled",
  "stateDetails": [],
  "metadata": {
    "labels": [],
    "creationTimestamp": "2022-10-06T20:58:16.305662Z",
    "modificationTimestamp": "2022-10-06T20:58:16.305662Z",
    "createdBy": "8f84cf09-8036-51e4-b579-bd30cb07b269"
  }
}

响应

Status: 401, Unauthorized
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

响应示例
{
  "type": "https://astra.netapp.io/problems/3",
  "title": "Missing bearer token",
  "detail": "The request is missing the required bearer token.",
  "status": "401"
}

响应

Status: 400, Bad request
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

invalidParams

数组["invalidParams"]

False

无效查询参数列表

响应示例
{
  "type": "https://astra.netapp.io/problems/5",
  "title": "Invalid query parameters",
  "detail": "The supplied query parameters are invalid.",
  "status": "400"
}

响应

Status: 403, Forbidden
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

响应示例
{
  "type": "https://astra.netapp.io/problems/11",
  "title": "Operation not permitted",
  "detail": "The requested operation isn't permitted.",
  "status": "403"
}

错误

Status: 404, Not found
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

错误响应示例
{
  "type": "https://astra.netapp.io/problems/2",
  "title": "Collection not found",
  "detail": "The collection specified in the request URI wasn't found.",
  "status": "404"
}

定义

查看定义

type_astra_stateDetail

名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

类型 Astra 标签

名称 Type Required Description

name

string

True

value

string

True

type_astra_metadata_update

与资源关联的客户端和服务指定的元数据。定义的值为:

  • 符合 Astra 元数据架构如果在更新时未指定,则元数据对象的标签、creationTimestamp 和 createdBy 将不加修改地保留。

名称 Type Required Description

labels

数组["类型 Astra 标签"]

False

creationTimestamp

string

False

modificationTimestamp

string

False

已创建

string

False

modifiedBy

string

False

invalidParams

名称 Type Required Description

name

string

True

无效查询参数的名称

原因

string

True

查询参数无效的原因